#include <bits/stdc++.h>
using namespace std;
bool kt(long a,long b,long c)
{
    if(a+b>c && b+c>a && c+a>b){
        return true;
    }
    else{
        return false;
    }
}
double s(long a,long b,long c)
{
    double p=(a+b+c)/2;
    double s1=p*(p-a)*(p-b)*(p-c);

    return sqrt(s1);
}
int main()
{
    ifstream f1("tamgiac.inp");
    ofstream f2("tamgiac.out");
    long a,b,c;
    f1>>a>>b>>c;
    if(kt(a,b,c)==true){
        f2<<"YES"<<endl;
        f2<<setprecision(2)<<fixed<<s(a,b,c);
    }
    if(kt(a,b,c)==false){
        f2<<"NO";
    }
    f1.close();
    f2.close();
    return 0;
}
